unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Clipbrd, Spin;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3, Unit4;

{$R *.DFM}

function ScreenShot(x, y ,Width, Height: integer; bm: TBitMap):boolean; //Fehler
var
  dc: HDC;
  lpPal : PLOGPALETTE;
begin
 {Hhe und Breite testen}
  result := false;
  if ((Width = 0) OR
      (Height = 0)) then begin
    result := true;
    exit;
  end;
  bm.Width := Width;
  bm.Height := Height;
 {ScreenDC holen}
  dc := GetDc(0);
  if (dc = 0) then begin
    result := true;
    exit;
  end;
  if (GetDeviceCaps(dc, RASTERCAPS) AND
      RC_PALETTE = RC_PALETTE) then begin
    GetMem(lpPal, sizeof(TLOGPALETTE) +
           (255 * sizeof(TPALETTEENTRY)));
    FillChar(lpPal^, sizeof(TLOGPALETTE) +
             (255 * sizeof(TPALETTEENTRY)), #0);
    lpPal^.palVersion := $300;
    lpPal^.palNumEntries :=GetSystemPaletteEntries(dc,
       0, 256, lpPal^.palPalEntry);
    if (lpPal^.PalNumEntries <> 0) then begin
      bm.Palette := CreatePalette(lpPal^);
    end;
    FreeMem(lpPal, sizeof(TLOGPALETTE) +
            (255 * sizeof(TPALETTEENTRY)));
  end;
  BitBlt(bm.Canvas.Handle, 0, 0, Width, Height, Dc,
         x, y, SRCCOPY);
  ReleaseDc(0, dc);
end;


procedure TForm1.Button1Click(Sender: TObject);
  var bm : TBitMap;
      fehler: boolean;
      x1, x2, y1, y2: integer;
begin
 form1.Hide;
 form2.Hide;
 form3.hide;
 application.ProcessMessages;
 sleep(500); //damit form1,2,3 auch wirklich verschwindet
 x1 := form2.Left; //Rechtwert
 y1 := form2.top;  //Runterwert
 x2 := form3.left + form3.Width;
 y2 := form3.Top + form3.Height;
 bm := Tbitmap.Create;
 try
   fehler := ScreenShot(x1, y1, x2 - x1, y2 - y1,bm);
   form4.windowstate := wsmaximized;
   form4.show;
   if fehler then Begin
     showmessage('Fehler');
     exit;
   End;
   Clipboard.Assign(bm);
   with form4.image1 do Begin
     left := 2;
     top := 2;
     width := screen.width;
     height := screen.height;
     Picture.Assign(bm);
   End;
 finally bm.free End;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  form2.top := 0;
  form2.left := 0;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  form3.Top := screen.Height - form3.height;
  form3.left := screen.Width - form3.width;
end;

end.
